<!DOCTYPE chapter [
  <!ENTITY current "3.0">
]>
<chapter fileref='combo.xml'>
  <title>Combo Distribution</title>
  <subtitle>Combined Package Binaries</subtitle>

  <chapterinfo>
    <revhistory>
      <revision>
	<revnumber>1.4</revnumber>
	<date>20040715</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Added info on additional DLL required for MS Windows.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.3</revnumber>
	<date>20040711</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Version 3.0 release for MS Windows and Mac OS X.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.2</revnumber>
	<date>20040229</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Version 3.0b2 release for Mac OS X.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.1</revnumber>
	<date>20031222</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Version 3.0b1 release for Mac OS X and Windows</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.0</revnumber>
	<date>20030310</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Initial version</para>
	</revremark>
      </revision>
    </revhistory>
  </chapterinfo>

  <para>The <ulink url='tclxml.html'>TclXML</ulink>, <ulink url='tcldom.html'>TclDOM</ulink> and <ulink url='tclxslt.html'>TclXSLT</ulink> packages are made available as a combined, single-file-download, binary distribution.  This "combo" installer is available for the following platforms:</para>

  <itemizedlist>
    <listitem>
      <para><ulink url='http://prdownloads.sourceforge.net/tclxml/tclxml-combo-&current;.dmg.gz?download'>Mac OS X (10.3)</ulink>.  The packages are built as embeddable frameworks, and all dependent libraries (libxml and libxslt) are included.  Built against Tcl/Tk 8.5 using XCode.</para>
    </listitem>
    <listitem>
      <para><ulink url='http://prdownloads.sourceforge.net/tclxml/tclxml-combo-3.0-win32.zip'>MS Windows (98-XP)</ulink>.  Tested with ActiveTcl 8.4.5.0; remove the version 2.6 TclXML, TclDOM and TclXSLT packages first before installing v3.0 packages.</para>

      <para>These DLLs have been built with MS Visual Studio 2003 .NET.  They are dependent on the DLL <filename>msvcr71.dll</filename>, which is <emphasis>not</emphasis> included.  This DLL may be found in the Windows version of either of the <ulink url='tkxmllint.html'>tkxmllint</ulink> or <ulink url='tkxsltproc.html'>tkxsltproc</ulink> applications.</para>
    </listitem>
  </itemizedlist>

  <para>Volunteers are needed to provide binaries for platforms not listed above.</para>

  <para>Alternatively, ActiveTcl and ActiveState's TclDevKit also include the TclXML (with expat), TclDOM (with libxml2) and TclXSLT packages.</para>

</chapter>
